play.test

## Class TestEngine.TestResults

- java.lang.Object
- - play.test.TestEngine.TestResults

Enclosing class:
  TestEngine

    public static class TestEngine.TestResults
    extends java.lang.Object

### Field Summary

Fields
`int` `errors`
`int` `failures`
`boolean` `passed`
`java.util.List<TestEngine.TestResult>` `results`
`int` `success`
`long` `time`

### Constructor Summary

Constructors
Constructor and Description
`TestResults()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(TestEngine.TestResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### results

    public java.util.List<TestEngine.TestResult> results

#### passed

    public boolean passed

#### success

    public int success

#### errors

    public int errors

#### failures

    public int failures

#### time

    public long time

### Constructor Detail

#### TestResults

    public TestResults()

### Method Detail

#### add

    public void add(TestEngine.TestResult result)